Purchase additional storage for your web hosting

Buy extra storage space as an add-on to your existing web hosting account. The endpoint returns an 'accountId' for retrieving details about related WordPress installations, email accounts, and SSH keys.

Web Hosting Services Hosting Accounts

Context

Where to get IDs / values

Path Parameters

accountId integer · min: 1 required Example: 20000

Unique account identifier

Headers

Accept Example
Content-Type Example

Responses

200
data object required
data.account object required
data.account.billingCycle string required · Example: Annually
data.account.domain string required · Example: example.com
data.account.id string required · Example: 8449
data.addon object required
data.addon.currency string required · Example: SEK
data.addon.cycle string required · Example: a
data.addon.description string required · Example: Automatically adds +25GB storage to your account. You can purchase this add-on multiple...
data.addon.id string required · Example: 7
data.addon.name string required · Example: Add additional 25 GB storage
data.addon.price integer required · Example: 150
data.addon.sizeGb integer required · Example: 25
requestId string required · Example: 2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba

Unique request identifier (UUID).

success boolean required · Example: true

True for successful responses.

timestamp string required · Example: 2026-02-10T00:00:00.000Z

ISO 8601 timestamp (UTC).

GET https://cloud.hostup.se/api/hosting/{accountId}/addons/storage
For AI assistants
cURL
curl -X GET "https://cloud.hostup.se/api/hosting/20000/addons/storage" \
  -H "X-API-Key: YOUR_API_KEY" \
  -H "Content-Type: application/json"
Response
{
  "success": true,
  "timestamp": "2026-02-10T00:00:00.000Z",
  "requestId": "2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba",
  "data": {
    "addon": {
      "id": "7",
      "name": "Add additional 25 GB storage",
      "description": "Automatically adds +25GB storage to your account. You can purchase this add-on multiple times.",
      "price": 150,
      "currency": "SEK",
      "cycle": "a",
      "sizeGb": 25
    },
    "account": {
      "id": "8449",
      "domain": "example.com",
      "billingCycle": "Annually"
    }
  }
}